package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 刀具记录表
 * </p>
 *
 * @author Philip
 * @since 2021-07-14
 */

@TableName("Z_CUTTER_LOG")

public class CutterLog extends Model<CutterLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 刀具
     */
   @TableField("CUTTER")
   private String cutter;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 类别
     */
   @TableField("TYPE")
   private String type;
    /**
     * 工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 物料
     */
   @TableField("ITEM")
   private String item;
    /**
     * 资源
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 使用数量
     */
   @TableField("QTY")
   private Long qty;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   /**刀具描述**/
   @TableField(exist = false)
   private String description;
   /**规格**/
   @TableField(exist = false)
   private String specification;


   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getSpecification() {
      return specification;
   }

   public void setSpecification(String specification) {
      this.specification = specification;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getCutter() {
      return cutter;
   }

   public void setCutter(String cutter) {
      this.cutter = cutter;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public Long getQty() {
      return qty;
   }

   public void setQty(Long qty) {
      this.qty = qty;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String CUTTER = "CUTTER";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SFC = "SFC";

public static final String TYPE = "TYPE";

public static final String OPERATION = "OPERATION";

public static final String STEP_ID = "STEP_ID";

public static final String ITEM = "ITEM";

public static final String RESRCE = "RESRCE";

public static final String QTY = "QTY";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "CutterLog{" +
         "handle = " + handle +
         ", site = " + site +
         ", cutter = " + cutter +
         ", shopOrder = " + shopOrder +
         ", workCenter = " + workCenter +
         ", sfc = " + sfc +
         ", type = " + type +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", item = " + item +
         ", resrce = " + resrce +
         ", qty = " + qty +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         "}";
   }
}